com.sun.grid.jgdi.configuration

## Interface Checkpoint

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    CheckpointImpl

      public interface Checkpoint
      extends GEObject

  Java representation of the cull object CK_Type defined in sge_all_listsL.template

  Warning: The Checkpoint class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getCkptCommand()` Get the value of the ckptCommand attribute.
    `java.lang.String` | `getCkptDir()` Get the value of the ckptDir attribute.
    `java.lang.String` | `getCleanCommand()` Get the value of the cleanCommand attribute.
    `java.lang.String` | `getInterface()` Get the value of the interface attribute.
    `java.lang.String` | `getMigrCommand()` Get the value of the migrCommand attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getRestCommand()` Get the value of the restCommand attribute.
    `java.lang.String` | `getSignal()` Get the value of the signal attribute.
    `java.lang.String` | `getWhen()` Get the value of the when attribute.
    `boolean` | `isSetCkptCommand()` Determine if any ckptCommand attribute is set
    `boolean` | `isSetCkptDir()` Determine if any ckptDir attribute is set
    `boolean` | `isSetCleanCommand()` Determine if any cleanCommand attribute is set
    `boolean` | `isSetInterface()` Determine if any interface attribute is set
    `boolean` | `isSetMigrCommand()` Determine if any migrCommand attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetRestCommand()` Determine if any restCommand attribute is set
    `boolean` | `isSetSignal()` Determine if any signal attribute is set
    `boolean` | `isSetWhen()` Determine if any when attribute is set
    `void` | `setCkptCommand(java.lang.String aCkptCommand)` Set the ckptCommand attribute.
    `void` | `setCkptDir(java.lang.String aCkptDir)` Set the ckptDir attribute.
    `void` | `setCleanCommand(java.lang.String aCleanCommand)` Set the cleanCommand attribute.
    `void` | `setInterface(java.lang.String aInterface)` Set the interface attribute.
    `void` | `setMigrCommand(java.lang.String aMigrCommand)` Set the migrCommand attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setRestCommand(java.lang.String aRestCommand)` Set the restCommand attribute.
    `void` | `setSignal(java.lang.String aSignal)` Set the signal attribute.
    `void` | `setWhen(java.lang.String aWhen)` Set the when attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setInterface

          void setInterface(java.lang.String aInterface)

      Set the interface attribute.
      Parameters:
        `aInterface` - the new value for the interface attribute

    - #### getInterface

          java.lang.String getInterface()

      Get the value of the interface attribute.
      Returns:
        the value of the interface attribute

    - #### isSetInterface

          boolean isSetInterface()

      Determine if any interface attribute is set
      Returns:
        `true` if the interface attribute is set

    - #### setCkptCommand

          void setCkptCommand(java.lang.String aCkptCommand)

      Set the ckptCommand attribute.
      Parameters:
        `aCkptCommand` - the new value for the ckptCommand attribute

    - #### getCkptCommand

          java.lang.String getCkptCommand()

      Get the value of the ckptCommand attribute.
      Returns:
        the value of the ckptCommand attribute

    - #### isSetCkptCommand

          boolean isSetCkptCommand()

      Determine if any ckptCommand attribute is set
      Returns:
        `true` if the ckptCommand attribute is set

    - #### setMigrCommand

          void setMigrCommand(java.lang.String aMigrCommand)

      Set the migrCommand attribute.
      Parameters:
        `aMigrCommand` - the new value for the migrCommand attribute

    - #### getMigrCommand

          java.lang.String getMigrCommand()

      Get the value of the migrCommand attribute.
      Returns:
        the value of the migrCommand attribute

    - #### isSetMigrCommand

          boolean isSetMigrCommand()

      Determine if any migrCommand attribute is set
      Returns:
        `true` if the migrCommand attribute is set

    - #### setRestCommand

          void setRestCommand(java.lang.String aRestCommand)

      Set the restCommand attribute.
      Parameters:
        `aRestCommand` - the new value for the restCommand attribute

    - #### getRestCommand

          java.lang.String getRestCommand()

      Get the value of the restCommand attribute.
      Returns:
        the value of the restCommand attribute

    - #### isSetRestCommand

          boolean isSetRestCommand()

      Determine if any restCommand attribute is set
      Returns:
        `true` if the restCommand attribute is set

    - #### setCkptDir

          void setCkptDir(java.lang.String aCkptDir)

      Set the ckptDir attribute.
      Parameters:
        `aCkptDir` - the new value for the ckptDir attribute

    - #### getCkptDir

          java.lang.String getCkptDir()

      Get the value of the ckptDir attribute.
      Returns:
        the value of the ckptDir attribute

    - #### isSetCkptDir

          boolean isSetCkptDir()

      Determine if any ckptDir attribute is set
      Returns:
        `true` if the ckptDir attribute is set

    - #### setWhen

          void setWhen(java.lang.String aWhen)

      Set the when attribute.
      Parameters:
        `aWhen` - the new value for the when attribute

    - #### getWhen

          java.lang.String getWhen()

      Get the value of the when attribute.
      Returns:
        the value of the when attribute

    - #### isSetWhen

          boolean isSetWhen()

      Determine if any when attribute is set
      Returns:
        `true` if the when attribute is set

    - #### setSignal

          void setSignal(java.lang.String aSignal)

      Set the signal attribute.
      Parameters:
        `aSignal` - the new value for the signal attribute

    - #### getSignal

          java.lang.String getSignal()

      Get the value of the signal attribute.
      Returns:
        the value of the signal attribute

    - #### isSetSignal

          boolean isSetSignal()

      Determine if any signal attribute is set
      Returns:
        `true` if the signal attribute is set

    - #### setCleanCommand

          void setCleanCommand(java.lang.String aCleanCommand)

      Set the cleanCommand attribute.
      Parameters:
        `aCleanCommand` - the new value for the cleanCommand attribute

    - #### getCleanCommand

          java.lang.String getCleanCommand()

      Get the value of the cleanCommand attribute.
      Returns:
        the value of the cleanCommand attribute

    - #### isSetCleanCommand

          boolean isSetCleanCommand()

      Determine if any cleanCommand attribute is set
      Returns:
        `true` if the cleanCommand attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.